button {
    outline: none;
    font-size: 20px;
    font-weight: 500;
    line-height: 30px;
    letter-spacing: 0;
    padding: 12px 28px;
    border-radius: 12px;
    opacity: 1;
    border: 1px solid transparent;
    transition: opacity 0.3s ease;
}

@media (hover: hover) {
    button:hover {
        opacity: 0.8;
    }
}

.button-small {
    padding: 8px 28px;
    font-size: 16px;
    line-height: 24px;
}

.button-primary {
    background-color: var(--ligth-red);
    color: var(--white);
}

.button-secondary {
    background-color: var(--purple);
    color: var(--white);
}

.button-outline-primary {
    border-color: var(--ligth-red);
    color: var(--rich-black);
}

.button-outline-secondary {
    border-color: var(--purple);
    color: var(--rich-black);
}

input[type="text"],
input[type="email"] {
    box-sizing: border-box;
    font-size: 16px;
    font-weight: 400;
    line-height: 18px;
    border-radius: 12px;
    padding: 10px 17px;
    border: solid 1px transparent;
}

input::placeholder {
    color: var(--steel-blue);
    opacity: 1;
}

input[type="text"]:focus-visible,
input[type="email"]:focus-visible {
    outline: none;
    border: solid 1px var(--purple);
}

@media only screen and (max-width: 1360px) {
    button {
        font-size: 16px;
        line-height: 24px;
        padding: 10px 22px;
        border-radius: 10px;
    }

    .button-small {
        padding: 6px 16px;
        font-size: 14px;
        line-height: 20px;
    }
}

@media only screen and (max-width: 768px) {
    button {
        font-size: 14px;
        line-height: 20px;
        padding: 8px 14px;
        border-radius: 8px;
    }

    .button-small {
        padding: 6px 10px;
        font-size: 12px;
        line-height: 18px;
    }
}
